Mark as spam
curl --request POST \
--url https://api.minidesk.ai/v1/tickets/{id}/spam \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.minidesk.ai/v1/tickets/{id}/spam"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.minidesk.ai/v1/tickets/{id}/spam', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.minidesk.ai/v1/tickets/{id}/spam",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.minidesk.ai/v1/tickets/{id}/spam"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.minidesk.ai/v1/tickets/{id}/spam")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.minidesk.ai/v1/tickets/{id}/spam")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spam": true
}{
"error": {
"code": "validation_failed",
"message": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_failed",
"message": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_failed",
"message": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_failed",
"message": "<string>",
"field": "<string>"
}
}Tickets
Mark as spam
Files the conversation as spam. The ticket is hidden from the inbox and marked for deletion.
Returns 409 conflict when the ticket is already resolved or closed, or when a person has already replied to it.
POST
/
tickets
/
{id}
/
spam
Mark as spam
curl --request POST \
--url https://api.minidesk.ai/v1/tickets/{id}/spam \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.minidesk.ai/v1/tickets/{id}/spam"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.minidesk.ai/v1/tickets/{id}/spam', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.minidesk.ai/v1/tickets/{id}/spam",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.minidesk.ai/v1/tickets/{id}/spam"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.minidesk.ai/v1/tickets/{id}/spam")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.minidesk.ai/v1/tickets/{id}/spam")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spam": true
}{
"error": {
"code": "validation_failed",
"message": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_failed",
"message": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_failed",
"message": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_failed",
"message": "<string>",
"field": "<string>"
}
}Authorizations
An API credential from Settings → API, sent as Authorization: Bearer mdsk_api_.... Issued per workspace and shown once.
Path Parameters
The ticket's id.